%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 16

%global python_major python%{py_major}

%global pkgname bcrypt

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        3.2.2
Release:        1
Summary:        File encryption utility
License:        ASLv2.0
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/b/%{pkgname}/%{pkgname}-%{version}.tar.gz


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
BuildRequires:	%{python_major}-cffi >= 1.13.2
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:	%{python_major}-cffi >= 1.13.2
Requires:	%{python_major}-six >= 1.13.0


%description
Bcrypt is a cross platform file encryption utility. Encrypted files are
portable across all supported operating systems and processors.
Passphrases must be between 8 and 56 characters and are hashed internally
to a 448 bit key. However, all characters supplied are significant. The
stronger your passphrase, the more secure your data.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      python3-cffi >= 1.13.2
Requires:      python3-six >= 1.13.0
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}
%{python_major} setup.py test
%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)
#Empty

%changelog

* Tue Dec 03 2024 Prajwal B Mehendarkar<prajwal.b.mehendarkar@ibm.com> - 3.2.2-1
- Updated bcrypt to latest version 3.2.2

* Wed Mar 08 2023 Reshma V Kumar <reskumar@in.ibm.com> - 3.1.7-2
- Bcrypt for python3.9
